OmniOS r151002

r151002w

Weekly release for 3-7 Sep 2012

  • Bug fixes
    • Installer crashes during disk selection under VMware have been backported to the stable release. The stable ISO has been updated
    • The Kayak web service (svc:/network/kayak:default) manifest was not imported at install time. The package has been updated to deliver the XML manifest into a directory where it will be automatically imported
  • Updated packages
    • updated to 2012-09-06 snapshot

r151002u

Weekly release for 20-24 Aug 2012

  • Updated packages
    • security/sudo updated to 1.8.4p5 (fixes an issue with IP network matching)
    • system/pciutils/pci.ids updated to 2012-08-15 snapshot
    • terminal/screen will now read the global /etc/screenrc file. Thanks to Jorge Schrauwen (sjorge) for suggesting this change

r151002r

Weekly release for 30 July - 3 Aug 2012

“Too bad this be not Talk Like A Pirate Day… arrrr”

  • Updated packages
    • developer/gcc46 now depends on developer/library/lint and developer/linker to make it easier to get a fully-functional build environment
    • network/dns/bind updated to 9.9.1-P2 (release notes)
    • system/pciutils/pci.ids updated to 2012-07-11 snapshot

r151002o

Weekly release for 9-13 July 2012

  • Updated packages
    • system/pciutils updated to version 3.1.10
    • system/pciutils/pci.ids updated to 2012-06-25 snapshot

r151002l

Weekly release for 18-22 June 2012

  • Security fixes
    • US-CERT Vulnerability 649219 (SYSRET 64-bit operating system privilege escalation vulnerability on Intel CPU hardware)
    • fix is in-kernel; update requires reboot
  • Other changes
    • service/network/ntp (re-compiled to restore traditional Solaris default config file location /etc/inet/ntp.conf)

A new release ISO has been made which includes the above security fix; see the installation page.

r151002h

Weekly release for 21-25 May 2012

  • Updated packages
  • New packages
    • system/pciutils provides PCI utilities lspci, setpci
    • system/pciutils/pci.ids is the PCI device database for pciutils (provided separately as it updates more often)

r151002f

Weekly release for 7-11 May 2012

  • Security fixes
  • Removed packages
    • image/library/libjpeg
    • image/library/libpng
    • image/library/libtiff
    • library/print/cups-libs
    • library/print/lcms2
    • print/cups
    • print/filter/ghostscript
    • system/library/fontconfig
    • system/library/freetype-2
      • Furthering our minimalism goal, we have removed dependencies on Ghostscript and CUPS. This breaks CUPS support in smbd (spool). If we decide we want to enable that, we should only require the cups header to build and should consider packaging that in illumos-gate
      • Note that these packages are not defined in the “entire” incorporation so typical installs would not have any of these packages. They would only have been installed if you were building the OS‚‘
  • New packages

r151002c

  • Weekly release for 16-20 April 2012
  • Security fixes:
  • Other changes:
    • C++ ABI change: illumos-gate userland now built with g++ 4.6.3 (previously we used 3.4.3)
    • tmux added to core (terminal/tmux)

r151002

  • Initial public release.
  • Published complete build system: repo:core/omnios-build
  • Userland (notable differences from other distros)
    • Perl 5.14.2
    • Python 2.6.7
    • OpenSSL 1.0.1
    • libxml2 2.7.8
    • zlib 1.2.6
    • qemu + kvm
  • illumos changes
    • illumos upstream at changeset:core/illumos-omnios,eb36692e8e3d1add7a4530a507a828476656941b
    • Changed:
      • Switch default timezone to UTC.
      • Build python support bits dual (32/64) architecture.
      • Added 64bit versions of libbe, libinstzone, libdhcputil, libwanboot, libwanbootutil, libzoneinfo, libfstyp.
      • Fixed build to use gas 2.22
    • Added:
      • svc:/system/initial-boot:default
  • Removed:
    • Removed machid(1)
    • Removed all dependencies on sysidtool
    • Removed all dependencies on product-registry
    • Removed mod_ipp and thus the Apache 1.3 dependency
    • Prevent svc-auditset from running inside a zone
    • Removed build dependency on docbook
    • Removed dependency on Python 2.4
  • Installer
    • Caiman-based, reduced interaction installer